For Developers
Fetch Schema
GET https://ed.link/api/v2/teams/:team_id/applications/:application_id/schemas/:schema_id
Retrieves a single audit log schema by its UUID.
Permissions
Requires the audit_log_schemas.read system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
:application_id | UUID | Yes | The ID of the application. |
:schema_id | UUID | Yes | The UUID of the audit log schema. |
Sample Request
const response = await axios.get(`https://ed.link/api/v2/teams/${team_id}/applications/${application_id}/schemas/6732d847-f5da-48c5-9273-df8734e5684a`, {
headers: {
authorization: `Bearer ${user_session_token}`
}
});
Sample Response
{
"$data": {
"id": "6732d847-f5da-48c5-9273-df8734e5684a",
"action": {
"id": "assignment.submit",
"type": "create"
},
"validation_level": "strict"
}
}
